#include <bits/stdc++.h>
using namespace std;

int main()
{
    long long n;
    long long x;
    long long a;
    long long put;

    cin >> n >> x;

    long long min=x;
    long long max=x;

    for(long long i=0; i<n; i++)
    {
        cin >> a;
        if(a>max)
        {
            max=a;
        }
        if(a<min)
        {
            min=a;
        }
    }

    if(max-x < x-min)
    {
        put=max-min + max-x;
    } 
    else
    {
        put=max-min + x-min;
    }

    cout << put;

    return 0;
}